import * as mc from "@minecraft/server";
const { system } = mc;

system.beforeEvents.startup.subscribe(initEvent => {
    // Компонент для конвертации keg → vertical_keg
    initEvent.blockComponentRegistry.registerCustomComponent("bnc:convert_keg", {
        beforeOnPlayerPlace: result => {
            let face = result.face; // Проверяем, на какую грань установили блок

            // Если блок установлен на верхнюю или нижнюю грань → заменяем на vertical_keg
            if (face === "Down" || face === "Up") {
                // Получаем текущие состояния блока
                let currentStates = result.permutationToPlace.getAllStates();
                // Создаем новую перестановку с сохранением состояний
                result.permutationToPlace = mc.BlockPermutation.resolve("brewinandchewin:vertical_keg", currentStates);
            }
        }
    });
});